
Foreman - Bug #5832

too responsive UI when selecting organization

05/20/2014 04:16 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1079205 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1079205

Description of problem:

In webUI when you are selecting organization, it might be hard to do so as you need to follow precise mouse track so menu wont

disappear.

Version-Release number of selected component (if applicable):

branded compose Satellite-6.0.3-RHEL-6-20140318.3 but seen it on other composes as well

How reproducible:

always

Steps to Reproduce:

1. Try paths of mouse motion drawn to the attached screenshot

Actual results:

Red path do not work (sub-menu disappears), you have to move green one. This gets more painful when you have more

organizations.

Expected results:

Both mouse paths should work.

Related issues:

Related to Foreman - Bug #6408: mousing over the org selector in UI raises me... Closed 06/26/2014

Has duplicate Foreman - Bug #5849: org switcher closes when mouse moves diago... Duplicate 05/21/2014

Associated revisions

Revision 6addb89c - 06/17/2014 12:35 PM - Joseph Magen

fixes #5832 - org switcher does not collapse when moving mouse diagnally to submenu

History

#1 - 05/20/2014 04:17 PM - Dominic Cleal

- Category set to Web Interface

#2 - 05/21/2014 08:46 AM - Dominic Cleal

- Has duplicate Bug #5849: org switcher closes when mouse moves diagonally to submenu  added

#3 - 05/21/2014 08:46 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Joseph Magen

- Target version set to 1.8.2

#4 - 05/21/2014 08:50 AM - Dominic Cleal
- File 42 AM.png added

#5 - 05/21/2014 09:11 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1460

#6 - 06/11/2014 02:57 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#7 - 06/17/2014 12:37 PM - Dominic Cleal

- translation missing: en.field_release set to 10

#8 - 06/17/2014 01:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6addb89c7879649e6aeeff71bca4616e476041e4.

#9 - 06/26/2014 04:16 PM - Dominic Cleal

- Related to Bug #6408: mousing over the org selector in UI raises menu that does not dismiss after mouse moves outside menu added

Files

42 AM.png 17.8 KB 05/21/2014 Dominic Cleal
